﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

namespace HeuristicLab.Problems.Instances.CordeauGQAP {
  public class CordeauGQAPInstance : IGQAPInstance {
    public string Name { get; set; }
    public string Description { get; set; }

    public int Equipments { get; set; }
    public int Locations { get; set; }
    public double[] Demands { get; set; }
    public double[] Capacities { get; set; }
    public double[,] Weights { get; set; }
    public double[,] Distances { get; set; }
    public double[,] InstallationCosts { get; set; }

    public double TransportationCosts { get; set; }

    public int[] BestKnownAssignment { get; set; }
    public double? BestKnownQuality { get; set; }
  }
}
